For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
          • GETList fulfillments on an order
          • POSTCreate a fulfillment on an order
          • GETGet details of a single fulfillment
          • PUTUpdate details of a fulfillment
          • DELDelete a fulfillment
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP Order V2Fulfillments

List fulfillments on an order

GET
https://api.feedamp.feedonomics.com/api/v2/orders/:order-id/fulfillments
GET
/api/v2/orders/:order-id/fulfillments
$curl https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments \
> -H "token: token" \
> -H "client: 1" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "fulfillments": [
3 {
4 "id": "109872189273617283",
5 "fulfillment_type": "shipment",
6 "shipment": {
7 "shipped_date": "2024-06-15T10:45:00-04:00",
8 "carrier": "FedEx",
9 "tracking_number": "123456789012",
10 "tracking_url": "https://www.fedex.com/apps/fedextrack/?tracknumbers=123456789012"
11 },
12 "state": "shipped"
13 }
14 ]
15}
Get all fulfillment information for the specified order
Was this page helpful?
Previous

Get details of a single fulfillment request

Next

Create a fulfillment on an order

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idstringRequired
FeedAMP Order ID

Headers

tokenstringRequired

The Authentication token obtained from the v1 get_token route

clientintegerRequired
The ID of the client making the request

Query parameters

tracking_numberstringOptional
Fulfillments matching the given tracking number
carrierstringOptional
Fulfillments matching the given carrier

Response

An array of fulfillment objects
fulfillmentslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error